import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'discountStatus'
})
export class DiscountStatusPipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '编辑中';
      case 2:
        return '已上架';
      case 3:
        return '已下架';
    }
  }

}
